Bug 1663229 - [abrt] gedit: tab_width_changed(): gedit killed by SIGSEGV
Summary: [abrt] gedit: tab_width_changed(): gedit killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gedit
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:5ae37a2f56824d9aee827cd4f94...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-03 13:54 UTC by Pierre Ossman
Modified: 2019-05-28 23:31 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 23:31:15 UTC


Attachments (Terms of Use)
File: backtrace (43.36 KB, text/plain)
2019-01-03 13:54 UTC, Pierre Ossman
no flags Details
File: cgroup (357 bytes, text/plain)
2019-01-03 13:54 UTC, Pierre Ossman
no flags Details
File: core_backtrace (17.13 KB, text/plain)
2019-01-03 13:54 UTC, Pierre Ossman
no flags Details
File: cpuinfo (1.20 KB, text/plain)
2019-01-03 13:55 UTC, Pierre Ossman
no flags Details
File: dso_list (14.64 KB, text/plain)
2019-01-03 13:55 UTC, Pierre Ossman
no flags Details
File: environ (2.05 KB, text/plain)
2019-01-03 13:55 UTC, Pierre Ossman
no flags Details
File: exploitable (82 bytes, text/plain)
2019-01-03 13:55 UTC, Pierre Ossman
no flags Details
File: limits (1.29 KB, text/plain)
2019-01-03 13:55 UTC, Pierre Ossman
no flags Details
File: maps (65.96 KB, text/plain)
2019-01-03 13:55 UTC, Pierre Ossman
no flags Details
File: mountinfo (11.53 KB, text/plain)
2019-01-03 13:55 UTC, Pierre Ossman
no flags Details
File: open_fds (2.66 KB, text/plain)
2019-01-03 13:55 UTC, Pierre Ossman
no flags Details
File: proc_pid_status (1.33 KB, text/plain)
2019-01-03 13:55 UTC, Pierre Ossman
no flags Details

Description Pierre Ossman 2019-01-03 13:54:50 UTC
Description of problem:
I dragged a file from the side pane to get a new window.

Version-Release number of selected component:
2:gedit-3.28.1-1.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/gedit --gapplication-service
crash_function: tab_width_changed
executable:     /usr/bin/gedit
journald_cursor: s=464a9dd0081645af9c3fdd83778beec5;i=3addd5;b=c9f6eef590454c2995e6d5aa78ab03e2;m=4196b567af9;t=57e8dea53951b;x=261790c6f3b938d8
kernel:         4.18.17-200.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            210

Truncated backtrace:
Thread no. 1 (1 frames)
 #0 tab_width_changed at gedit/gedit-window.c:1228

Potential duplicate: bug 1208235

Comment 1 Pierre Ossman 2019-01-03 13:54:56 UTC
Created attachment 1518144 [details]
File: backtrace

Comment 2 Pierre Ossman 2019-01-03 13:54:57 UTC
Created attachment 1518145 [details]
File: cgroup

Comment 3 Pierre Ossman 2019-01-03 13:54:59 UTC
Created attachment 1518146 [details]
File: core_backtrace

Comment 4 Pierre Ossman 2019-01-03 13:55:01 UTC
Created attachment 1518147 [details]
File: cpuinfo

Comment 5 Pierre Ossman 2019-01-03 13:55:02 UTC
Created attachment 1518148 [details]
File: dso_list

Comment 6 Pierre Ossman 2019-01-03 13:55:03 UTC
Created attachment 1518149 [details]
File: environ

Comment 7 Pierre Ossman 2019-01-03 13:55:04 UTC
Created attachment 1518150 [details]
File: exploitable

Comment 8 Pierre Ossman 2019-01-03 13:55:06 UTC
Created attachment 1518151 [details]
File: limits

Comment 9 Pierre Ossman 2019-01-03 13:55:08 UTC
Created attachment 1518152 [details]
File: maps

Comment 10 Pierre Ossman 2019-01-03 13:55:09 UTC
Created attachment 1518153 [details]
File: mountinfo

Comment 11 Pierre Ossman 2019-01-03 13:55:10 UTC
Created attachment 1518154 [details]
File: open_fds

Comment 12 Pierre Ossman 2019-01-03 13:55:16 UTC
Created attachment 1518155 [details]
File: proc_pid_status

Comment 13 Ben Cotton 2019-05-02 20:04:54 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Ben Cotton 2019-05-28 23:31:15 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.